/// <reference types="react" />
import { JupyterLab } from '@jupyterlab/application';
import { IRenderMime } from '@jupyterlab/rendermime-interfaces';
import { JupyterLabTheme } from "./../../jupyter/lab/JupyterLabTheme";
import JupyterLabAppAdapter from "./JupyterLabAppAdapter";
export type JupyterLabAppProps = {
    devMode: boolean;
    extensionPromises?: Array<Promise<JupyterLab.IPluginModule>>;
    extensions: Array<JupyterLab.IPluginModule>;
    headless: boolean;
    height: string | number;
    hostId: string;
    mimeExtensionPromises?: Array<Promise<IRenderMime.IExtensionModule>>;
    mimeExtensions: Array<IRenderMime.IExtensionModule>;
    onPlugin?: (plugin: any) => void;
    onJupyterLab: (jupyterLabAppdapter: JupyterLabAppAdapter) => void;
    pluginId?: string;
    PluginType?: any;
    position: string;
    splash: boolean;
    theme: JupyterLabTheme;
    width: string | number;
};
export declare const JupyterLabApp: {
    (props: JupyterLabAppProps): import("react/jsx-runtime").JSX.Element;
    defaultProps: Partial<JupyterLabAppProps>;
};
declare const _default: import("react").MemoExoticComponent<{
    (props: JupyterLabAppProps): import("react/jsx-runtime").JSX.Element;
    defaultProps: Partial<JupyterLabAppProps>;
}>;
export default _default;
