import { jsx as _jsx } from "react/jsx-runtime";
import { ReactWidget } from '@jupyterlab/apputils';
import { Countdown } from './Countdown';
const INPUT_PROMPT_CLASS = 'jp-InputPrompt';
export class CountdownInputPrompt extends ReactWidget {
    _executionCount = null;
    state = {
        count: 100
    };
    constructor() {
        super();
        this.addClass(INPUT_PROMPT_CLASS);
    }
    /** @override */
    render() {
        return _jsx(Countdown, { count: this.state.count });
    }
    get executionCount() {
        return this._executionCount;
    }
    set executionCount(value) {
        this._executionCount = value;
        if (value === null) {
            this.state = {
                count: 0
            };
        }
        else {
            if (value === '*') {
                this.state = {
                    count: 0
                };
            }
            else {
                this.state = {
                    count: Number(value)
                };
                this.update();
            }
        }
    }
}
export default CountdownInputPrompt;
//# sourceMappingURL=CountdownInputPrompt.js.map