import { jsx as _jsx } from "react/jsx-runtime";
import { ReactWidget } from '@jupyterlab/apputils';
import { Countdown } from './Countdown';
const OUTPUT_PROMPT_CLASS = 'jp-OutputPrompt';
export class CountdownOutputPrompt extends ReactWidget {
    _executionCount = null;
    state = {
        count: 100
    };
    constructor() {
        super();
        this.addClass(OUTPUT_PROMPT_CLASS);
    }
    /** @override */
    render() {
        return _jsx(Countdown, { count: this.state.count });
    }
    get executionCount() {
        return this._executionCount;
    }
    set executionCount(value) {
        this._executionCount = value;
        if (value === null) {
            this.state = {
                count: 0
            };
        }
        else {
            this.state = {
                count: Number(value)
            };
            this.update();
        }
    }
}
export default CountdownOutputPrompt;
//# sourceMappingURL=CountdownOutputPrompt.js.map