import { NotebookModelFactory, NotebookModel } from "@jupyterlab/notebook";
export class JupyterReactNotebookModelFactory extends NotebookModelFactory {
    _nbformat;
    _readOnly;
    /** @override */
    constructor(options) {
        super(options);
        this._nbformat = options.nbformat;
        this._readOnly = options.readOnly;
    }
    /** @override */
    createNew(options) {
        if (this._nbformat) {
            const notebookModel = new NotebookModel();
            notebookModel.fromJSON(this._nbformat);
            return notebookModel;
        }
        else {
            const notebookModel = super.createNew(options);
            notebookModel.readOnly = this._readOnly;
            return notebookModel;
        }
    }
}
export default JupyterReactNotebookModelFactory;
//# sourceMappingURL=JupyterReactNotebookModelFactory.js.map