import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
import { useState, useEffect } from 'react';
import { useDispatch } from "react-redux";
import TerminalAdapter from './TerminalAdapter';
import { terminalActions, terminalReducer } from './TerminalState';
import { useJupyter } from './../../jupyter/JupyterContext';
import Lumino from '../../jupyter/lumino/Lumino';
export const Terminal = (options) => {
    const { injectableStore, serverSettings } = useJupyter();
    const dispatch = useDispatch();
    const [adapter, setAdapter] = useState();
    useEffect(() => {
        injectableStore.inject('terminal', terminalReducer);
        const adapter = new TerminalAdapter({
            serverSettings,
            ...options,
        });
        dispatch(terminalActions.update({ adapter }));
        setAdapter(adapter);
    }, []);
    return adapter
        ?
            _jsx(Lumino, { children: adapter.panel })
        :
            _jsx(_Fragment, { children: "Loading Jupyter Terminal..." });
};
Terminal.defaultProps = {
    theme: "dark",
};
export default Terminal;
//# sourceMappingURL=Terminal.js.map