import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { createRoot } from 'react-dom/client';
import Jupyter from '../jupyter/Jupyter';
import JupyterLabApp from "../components/jupyterlab/JupyterLabApp";
import * as ipywidgetsExtension from '@jupyter-widgets/jupyterlab-manager';
import * as plotlyExtension from 'jupyterlab-plotly/lib/jupyterlab-plugin';
import * as mimePlotlyExtension from 'jupyterlab-plotly/lib/plotly-renderer';
const JupyterLabAppExample = () => {
    const onJupyterLab = async (jupyterLabAdapter) => {
        const jupyterLab = jupyterLabAdapter.jupyterLab;
        console.log('JupyterLab is ready', jupyterLab);
        jupyterLab.commands.execute('notebook:create-new', { kernelName: 'python3' }).then((notebookPanel) => {
            console.log('Notebook Panel', notebookPanel);
        });
    };
    return (_jsx(JupyterLabApp, { extensions: [
            ipywidgetsExtension,
            plotlyExtension,
        ], mimeExtensions: [
            mimePlotlyExtension,
        ], height: "calc(100vh - 74px)", onJupyterLab: onJupyterLab }));
};
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsxs(Jupyter, { startDefaultKernel: false, disableCssLoading: true, children: [_jsx("h1", { children: "JupyterLab Application" }), _jsx(JupyterLabAppExample, {})] }));
//# sourceMappingURL=JupyterLabApp.js.map