import { jsx as _jsx } from "react/jsx-runtime";
import { useRef, useEffect } from 'react';
import { unmountComponentAtNode } from 'react-dom';
import { Widget } from '@lumino/widgets';
export const Lumino = (props) => {
    const ref = useRef(null);
    const { children, id } = props;
    useEffect(() => {
        if (ref && ref.current) {
            try {
                Widget.attach(children, ref.current);
            }
            catch (e) {
                console.warn('Exception while attaching Lumino widget.', e);
            }
            return () => {
                try {
                    unmountComponentAtNode(children.node);
                    if (children.isAttached || children.node.isConnected) {
                        children.dispose();
                        Widget.detach(children);
                    }
                }
                catch (e) {
                    // no-op
                    // console.debug('Exception while detaching Lumino widget.', e);
                }
            };
        }
    }, [ref, children]);
    return _jsx("div", { ref: ref, id: id });
};
Lumino.defaultProps = {
    id: "lumino-id",
};
export default Lumino;
//# sourceMappingURL=Lumino.js.map